# Getting Started

Welcome to hvPlot!

The getting started guide will get you set up with hvPlot and provide a basic overview of its features and strengths.

---

::::{grid} 1 2 2 4
:gutter: 1 1 1 2

:::{grid-item-card} {octicon}`plug;2.5em;sd-mr-1` Installation
:link: installation
:link-type: doc

Install hvPlot and the dependencies required to run the guides of this site.

+++
[Learn more »](installation.md)
:::

:::{grid-item-card} {octicon}`graph;2.5em;sd-mr-1` `.hvplot()`
:link: hvplot
:link-type: doc

Discover the capabilities of `.hvplot()`, a more versatile and powerful `.plot()` API.

+++
[Learn more »](hvplot)
:::

:::{grid-item-card} {octicon}`workflow;2.5em;sd-mr-1` `.interactive()`
:link: interactive
:link-type: doc

Learn how to turn data pipelines into widget-based interactive applications with `.interactive()`.

+++
[Learn more »](interactive)
:::

:::{grid-item-card} {octicon}`browser;2.5em;sd-mr-1` `.explorer()`
:link: explorer
:link-type: doc

Start to use `.hvplot.explorer()` to explore data in a web application.

+++
[Learn more »](explorer)
:::

::::


```{toctree}
:titlesonly:
:hidden:
:maxdepth: 2

installation
hvplot
interactive
explorer
```
